from maps_adv.stat_controller.client.lib.normalizer import Client


class BasePipeline:
    __slots__ = "executor_id", "_stat_client"

    def __init__(self, executor_id: str, stat_client: Client):
        self.executor_id = executor_id
        self._stat_client = stat_client

    def __call__(self):
        raise NotImplementedError()
